Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BNumber

    java.lang.Object
      Biff
          jet.report.xls.Blank
              jet.report.xls.BNumber

    public class BNumber

extends Blank

It is a number cell.

Constructor Summary
`BNumber(int row, int col, int ixfe, double value)` Constructs a `Number` object.

Method Summary
`double` | `getValue()` Gets the value of Number.
`void` | `input(util.RandomAccessStream stream)` Inputs the class Number from input stream.
`int` | `opcode()` Gets the opcode of the Number object.
`int` | `output(util.RandomAccessStream stream)` Outputs the class Number.
`void` | `setValue(double value)` Sets the value of Number.

Methods inherited from class jet.report.xls.Blank
`getCol, getIxfe, getRow, setCol, setIxfe, setRow`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BNumber

    public BNumber(int row,
                   int col,
                   int ixfe,
                   double value)

  Constructs a `Number` object.

  Parameters:
    `row` - the row index, which is based on zero
    `col` - the column index, which is based on zero
    `ixfe` - index to the `Xf` record, which you can get by `GlobalWorksheet.getXfIndex(Xf)`
    `value` - the cell value

Method Detail

### opcode

    public final int opcode()

  Gets the opcode of the Number object.

  Overrides:
    `opcode` in class `Blank`

### setValue

    public void setValue(double value)

  Sets the value of Number.

  Parameters:
    `value` - the cell value

### getValue

    public double getValue()

  Gets the value of Number.

  Returns:
    the cell value

### output

    public int output(util.RandomAccessStream stream)
               throws java.io.IOException

  Outputs the class Number.

  Overrides:
    `output` in class `Blank`
  Throws:
    `java.io.IOException`

### input

    public void input(util.RandomAccessStream stream)
               throws java.io.IOException

  Inputs the class Number from input stream.

  Overrides:
    `input` in class `Blank`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD